Subject: Re: bug#59661: [PATCH 0/3] Add e2fsprogs to %base-packages-utils.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 04 Dec 2022 18:28:44 +0100

Ludovic Courtès <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> * gnu/system/install.scm (%installer-disk-utilities): Add e2fsprogs.
>
> LGTM!
>
> e2fsprogs binaries are indeed missing from $PATH in
> guix-system-install-1.4.0rc1.*.iso; I’ll cherry-pick it on
> ‘version-1.4.0’.
>
> What I don’t get is that our manual installation tests should have
> caught this issue because they use ‘mkfs.ext4’ and expect to have it in
> $PATH.  I’ll take a look…

Got it: Mathieu worked around it in
0f66ef9aa99d2043abccbc80d858bdeca57534ac by explicitly adding e2fsprogs
and the installation system used by the tests:

  commit 0f66ef9aa99d2043abccbc80d858bdeca57534ac
  Author: Mathieu Othacehe <[email-masked]>
  Date:   Fri Sep 30 15:19:36 2022 +0200

      tests: install: Fix iso-image-installer test.

      This is a follow-up of: 45eac6cdf5c8d9d7b0c564b105c790d2d2007799.
      It fixes the following error:

      + mkfs.ext4 -L my-root /dev/vda2
      sh: line 12: mkfs.ext4: command not found

      * gnu/tests/install.scm (%test-iso-image-installer): Add e2fsprogs to the
      appended packages.

We should be able to revert this commit once the installer provides
e2fsprogs by default.

Thanks,
Ludo’.